%define upstream_name    App-Cme
%define upstream_version 1.011

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generates pod doc from model files
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd::Setup)
BuildRequires: perl(Config::Model)
BuildRequires: perl(Config::Model::FuseUI)
BuildRequires: perl(Config::Model::Lister)
BuildRequires: perl(Config::Model::ObjTreeScanner)
BuildRequires: perl(Config::Model::SimpleUI)
BuildRequires: perl(Config::Model::TermUI)
BuildRequires: perl(Config::Model::Utils::GenClassPod)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(File::Path)
BuildRequires: perl(JSON)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Mouse::Meta::Attribute::Custom::Trait::Hash)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Pod::POM::View::Text)
BuildRequires: perl(Probe::Perl)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Command)
BuildRequires: perl(Test::File::Contents)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tk)
BuildRequires: perl(YAML)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
Common methods for all cme commands

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/cme
/usr/share/man/man1/cme.1.xz



%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.11.0-2.mga6
+ Revision: 1022538
- Rebuild for perl 5.22.2

* Sat Apr 30 2016 shlomif <shlomif> 1.11.0-1.mga6
+ Revision: 1008046
- Add missing BR
- Missing BR
- imported package perl-App-Cme


* Thu Apr 28 2016 cpan2dist 1.011-1mga
- initial mageia release, generated with cpan2dist
